summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorPiotr Gorski2019-09-07 00:02:57 +0200
committerPiotr Gorski2019-09-07 00:02:57 +0200
commita4471c86d142176e05b989568ee93145cfa80b20 (patch)
treeabc33ab8e1371779d43460b362ace8c217b34a27 /PKGBUILD
parent8d4002ceb59b5c481211bdb89ad42e240a588715 (diff)
downloadaur-a4471c86d142176e05b989568ee93145cfa80b20.tar.gz
Add a patch loop
Signed-off-by: Piotr Gorski <lucjan.lucjanov@gmail.com>
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD9
1 files changed, 9 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
index dccffab7261..1fbe4ef008c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -39,6 +39,15 @@ prepare() {
echo "-$pkgrel" > localversion.10-pkgrel
echo "$_kernelname" > localversion.20-pkgname
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ msg2 "Applying patch $src..."
+ patch -Np1 < "../$src"
+ done
+
msg2 "Setting config..."
cp ../config .config
yes "" | make ARCH=um config >/dev/null